%define upstream_name    HTML-Selector-XPath
%define upstream_version 0.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    CSS Selector to XPath compiler
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
HTML::Selector::XPath is a utility function to compile CSS2 selector to the
equivalent XPath expression.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.260.0-2.mga9
+ Revision: 1815829
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 0.260.0-1.mga9
+ Revision: 1763113
- update to 0.26

* Fri Feb 14 2020 umeabot <umeabot> 0.250.0-2.mga8
+ Revision: 1520135
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Nov 05 2018 tv <tv> 0.250.0-1.mga7
+ Revision: 1328402
- update to 0.25

* Thu Sep 20 2018 umeabot <umeabot> 0.230.0-2.mga7
+ Revision: 1283972
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.230.0-1.mga7
+ Revision: 1128628
- update to 0.23

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-6.mga6
+ Revision: 1028280
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.180.0-5.mga6
+ Revision: 949154
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.180.0-4.mga5
+ Revision: 789230
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-3.mga5
+ Revision: 746471
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-2.mga5
+ Revision: 684958
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 0.180.0-1.mga5
+ Revision: 669949
- update to 0.18

* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-2.mga4
+ Revision: 531916
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 0.160.0-1.mga4
+ Revision: 465758
- update to 0.16

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 368097
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 302403
- update to 0.15

* Wed Jan 25 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 200885
- update to 0.14

* Sat Nov 26 2011 kharec <kharec> 0.120.0-1.mga2
+ Revision: 172142
- update to 0.12

* Sat Nov 05 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 163576
- update to 0.11

* Fri Oct 14 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 154774
- update to 0.08

* Wed Mar 09 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 66963
- update to 0.07

* Tue Feb 22 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 56607
- update to 0.06

* Tue Jan 18 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 22459
- cleaning spec file
- imported package perl-HTML-Selector-XPath


* Sat Jan 15 2011 cpan2dist 0.04-1mdv
- initial mdv release, generated with cpan2dist
